﻿using System.Net;
using Bunny.Dao.Entity.Constant;
using Bunny.Dao.Result;
using Bunny.Dao.Result.Enum;
using Newtonsoft.Json;
using NUnit.Framework;

namespace Bunny.Test.Until;

[TestFixture]
public class TestResultCodeEnum
{
    [Test]
    public void TestResultCodeExtensions()
    {
        const ResultCodeEnum resultCodeEnum = ResultCodeEnum.Success;
        Console.WriteLine(resultCodeEnum);
        Console.WriteLine(resultCodeEnum.GetDescription());
    }

    [Test]
    public void TestSuccessResult()
    {
        var success = Result<Dictionary<string, object>>.Success();
        var serializeObject = JsonConvert.SerializeObject(success);
        Console.WriteLine(serializeObject);
    }

    [Test]
    public void TestErrorResult()
    {
        var result = Result<string>.Error();
        var serializeObject = JsonConvert.SerializeObject(result);
        Console.WriteLine(serializeObject);
    }

    [Test]
    public void TestCodeResult()
    {
        var result = Result<string>.Error(HttpStatusCode.OK);
        var serializeObject = JsonConvert.SerializeObject(result);
        Console.WriteLine(serializeObject);
    }

    [Test]
    public void TestMessageResult()
    {
        var result = Result<string>.Error(ExceptionConstant.UnknownException);
        var serializeObject = JsonConvert.SerializeObject(result);
        Console.WriteLine(serializeObject);
    }

    [Test]
    public void TestCodeMessageResult()
    {
        var result = Result<string>.Error(HttpStatusCode.Ambiguous, ExceptionConstant.UnknownException);
        var serializeObject = JsonConvert.SerializeObject(result);
        Console.WriteLine(serializeObject);
    }
}