using Bunny.WebApi.Config;
using IGeekFan.AspNetCore.Knife4jUI;

namespace Bunny.WebApi;

public class Program
{
    public static void Main(string[] args)
    {
        var builder = WebApplication.CreateBuilder(args);
        // 其它配置
        BaseConfig.Initialize(builder);

        var app = builder.Build();

        if (app.Environment.IsDevelopment())
        {
            app.UseSwagger();
            app.UseSwaggerUI();

            app.UseKnife4UI(options =>
            {
                options.RoutePrefix = "bunnyDocs"; // serve the UI at root
                options.DocumentTitle = "Bunny 文档";
                options.SwaggerEndpoint("//swagger/v1/swagger.json", "Bunny 文档");
            });
        }

        // 跨域配置
        app.UseCors();

        // 身份验证
        app.UseAuthentication();

        // 授权
        app.UseAuthorization();
        app.MapControllers();
        app.UseRouting();
        // app.UseWebSockets();

        app.Run();
    }
}